/* CSS Document */

#sample-giftcard { margin-top: 40px; margin-bottom: 35px; max-width: 100%; }

main p { font-size: 18px; font-weight: 300; margin: 0 60px 0.7rem; }
main p a { font-weight: bold; color: #A440BF; }

#gift-card-terms-and-conditions-modal .modal-dialog { width: 800px; max-width: 95vw; }
#gift-card-terms-and-conditions-modal .modal-dialog p { margin: 0 15px 0.7rem; }

@media ( max-width: 767px ) {
	main h2 { font-size: 32px; }
	main p { margin-right: 0; margin-left: 0; }
	#gift-card-terms-and-conditions-modal .modal-dialog p { font-size: 16px; margin-left: 0; margin-right: 0; }
	#gift-card-terms-and-conditions-modal .modal-dialog ol { padding-left: 14px; }
	#gift-card-terms-and-conditions-modal .modal-dialog ol ul { padding-left: 20px; }
}



/* Gift Card Purchase Form */
body.Payments.giftcard main p { font-weight: 400; margin: 0; }
body.Payments.giftcard #terms-conditions-section { width: 800px; max-width: 100%; margin-top: 50px; }
body.Payments.giftcard #terms-conditions-section ol ::marker { font-weight: 500; }
body.Payments.giftcard #terms-conditions-section ol > li { font-weight: 500; padding-bottom: 1rem; }
body.Payments.giftcard #terms-conditions-section ol > li > ul { list-style: disc; font-weight: 300; }
body.Payments.giftcard #terms-conditions-section ol > li > ul > li { line-height: 1.25; margin: 5px 0; }
body.Payments.giftcard #terms-conditions-radio { text-align: center; }
body.Payments.giftcard #terms-conditions-radio > label { font-size: 22px; color: #444; font-weight: 500; padding-bottom: 20px; width: 650px; max-width: 100%; border-radius: 10px 10px 0 0; }
body.Payments.giftcard #terms-conditions-radio .radio-toggle { margin-top: 0; }
body.Payments.giftcard #spinner-modal { height: auto; }
body.Payments.giftcard #spinner-modal .modal-dialog { margin-top: 0; margin-bottom: 0; }
body.Payments.giftcard #billing-address-section .select2-container { width: 100% !important; }
body.Payments.giftcard #billing-address-section .select2-container .select2-selection--single { height: 53px; border-radius: 27px; padding-left: 20px; }
body.Payments.giftcard #billing-address-section .select2-container--open .select2-selection--single { border-radius: 27px 27px 0 0; }
body.Payments.giftcard #billing-address-section .select2-container--above.select2-container--open .select2-selection--single { border: 1px solid #ddd; border-top: 0; border-radius: 0 0 27px 27px; }
body.Payments.giftcard #billing-address-section #country + .select2-container { margin-bottom: 25px; }
body.Payments.giftcard .g-recaptcha { display: flex; justify-content: center; padding-top: 40px; }
body.Payments.giftcard .form-section { position: relative; }
body.Payments.giftcard .form-section p.legend-after { display: block; position: absolute; bottom: -2rem; left: 0; width: 100%; padding: 5px 5px; }

body.Payments.giftcard #giftcard-carousel .error.visited:not(:focus),
body.Payments.giftcard #giftcard-carousel .error.visited:not(:focus) + .select2-container > .selection > .select2-selection { background: var(--field-error-background-color) !important; }
/*body.Payments.giftcard #giftcard-carousel .select2-container.error { background: none !important; }*/
body.Payments.giftcard #giftcard-carousel .select2-container.error .select2-selection--single { background: transparent; }
body.Payments.giftcard #giftcard-carousel .select2-container--dvcrequest-grey.error .select2-selection--single { background: #f4f4f4; }
body.Payments.giftcard #giftcard-carousel #terms-conditions-radio .radio-toggle.error.visited { border-radius: 0 0 10px 10px; }

@media ( max-width: 574px) {
	body.Payments.giftcard .form-section { margin-top: 30px; }
	
	body.Payments.giftcard #terms-conditions-section { padding-left: 5px; padding-right: 20px; }
	body.Payments.giftcard #terms-conditions-section ol > li > ul { padding-left: 1.2rem; }
	
	#giftcard-carousel #payment-summary { padding-left: 20px; padding-right: 20px; }
	
}
@media (max-width: 500px) {
	body.Payments.giftcard #payment-methods #paypal-button, 
	body.Payments.giftcard #payment-methods #googlepay-button, 
	body.Payments.giftcard #payment-methods #applepay-button { padding-left: 0; padding-right: 0; }
}
@media (max-width: 439px) {
	body.Payments.giftcard #payment-methods { padding-left: 20px; padding-right: 20px; }
	body.Payments.giftcard #payment-methods .row .col.fields {  }
	body.Payments.giftcard #payment-methods #giftcard-lookup-collapse .row .col.label { justify-content: normal; }
}
@media (max-width: 359px) {
	body.Payments.giftcard #payment-methods .row .col.method label { line-height: 1.3; }
	body.Payments.giftcard #payment-methods .row .col.method input[type="checkbox"], 
	body.Payments.giftcard #payment-methods .row .col.method input[type="radio"] { float: left; margin-bottom: 12px; margin-top: -5px; }
}
